Bug 29415 - fvwm3-doc package conflicts with itself
Summary: fvwm3-doc package conflicts with itself
Status: NEW
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 8
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA8-64-OK
Keywords: validated_update
Depends on:
Blocks:
 
Reported: 2021-08-26 16:52 CEST by Artem Kurashov
Modified: 2021-09-14 02:44 CEST (History)
4 users (show)

See Also:
Source RPM: fvwm3-1.0.2-1.mga8.src.rpm
CVE:
Status comment:


Attachments

Description Artem Kurashov 2021-08-26 16:52:16 CEST
There are partially changed lines in the fvwm3.spec file (obviosly, it was forked from fvwm2.spec file):
===
%package -n %{docname}
Summary:        Documentation files for Fvwm2
Group:          Graphical desktop/Other
Conflicts:      fvwm3-doc

%description -n %{docname}
%{summary}.
===
As a result, the fvwm3-doc package conflicts with itself.

Obviously, it must be fixed for:
Summary:        Documentation files for Fvwm3
...
Conflicts:      fvwm2-doc
.

By the way, there is already the fvwm3-1.0.4: https://github.com/fvwmorg/fvwm3/releases/download/1.0.4/fvwm3-1.0.4.tar.gz .
David Walser 2021-08-26 19:06:39 CEST

Assignee: bugsquad => eatdirt

Comment 1 Chris Denice 2021-08-26 19:54:35 CEST
Thank you for the report. We won't update fvwm3 to 1.0.4 on mga8 as it breaks various settings in the config files. But you can find it on Cauldron.

I've pushed the fix into fvwm3-1.0.2-1.1.


Suggested advisory:
========================

Updated fvwm3 package to fix a self-conflicting issue preventing the installation of the documentation.


Updated packages in core/updates_testing:
========================
fvwm3-1.0.2-1.1.mga8
fvwm3-config-mageia-1.0.2-1.1.mga8
fvwm3-doc-1.0.2-1.1.mga8


Source RPMs: 
fvwm3-1.0.2-1.1.mga8.src.rpm

Assignee: eatdirt => qa-bugs
CC: (none) => eatdirt

Comment 2 Herman Viaene 2021-09-13 15:38:12 CEST
MGA8-64 Plasma on Lenovo B50
No installation issues, so this update seems OK.
Took the plunge and run:
$ fvwm-menu-desktop
DestroyMenu "XDGMenu"
AddToMenu "XDGMenu" "XDGMenu" Title
# not supported: Settings
+ "Internet" Popup "Internet"
+ "Kantoor" Popup "Kantoor"
+ "Grafisch" Popup "Grafisch"
+ "Geluid && Video" Popup "Geluid & Video"
+ "Gereedschappen" Popup "Gereedschappen"
+ "Ontwikkeling" Popup "Ontwikkeling"
+ "Spelletjes" Popup "Spelletjes"
+ "Educatie" Popup "Educatie"
+ "Wetenschappelijk" Popup "Wetenschappelijk"
# not supported: Documentatie
# not supported: Settings
+ "" Nop
+ "Software installeren && verwijderen" Exec exec /usr/bin/drakrpm
+ "" Nop
+ "$[gt.Regenerate]" PipeRead `fvwm-menu-desktop`
+ "$[gt.Configure]" Module FvwmPerl -l fvwm-menu-desktop-config.fpl

DestroyMenu "Internet"
AddToMenu "Internet" "Internet" Title

and a load more , and all seems OK.

Whiteboard: (none) => MGA8-64-OK
CC: (none) => herman.viaene

Comment 3 Thomas Andrews 2021-09-14 02:44:04 CEST
Validating. Advisory in Comment 1.

CC: (none) => andrewsfarm, sysadmin-bugs
Keywords: (none) => validated_update


Note You need to log in before you can comment on or make changes to this bug.